PROC_DOULONGVEC_MINM(9)

NAME
proc_doulongvec_minmax - read a vector of long integers with min/max values

SYNOPSIS

int proc_doulongvec_minmax(struct ctl_table * table, int write, void __user * buffer, size_t * lenp, loff_t * ppos);

ARGUMENTS

table
    the sysctl table

write
    TRUE if this is a write to the sysctl file

buffer
    the user buffer

lenp
    the size of the user buffer

ppos
    file position

DESCRIPTION

Reads/writes up to table->maxlen/sizeof(unsigned long) unsigned long values from/to the user buffer, treated as an ASCII string.

This routine will ensure the values are within the range specified by table->extra1 (min) and table->extra2 (max).

Returns 0 on success.

COPYRIGHT